/**
 * @PROJECT			Session Manager
 * @COPYRIGHT		See COPYING in the top level directory
 * @FILE			sessmgr.h
 * @PURPOSE			WebUI session manager
 * @DEVELOPERS		Eric Bishop <eric@gargoyle-router.com>
 *					Rafal Kupiec <belliash@asiotec.eu.org>
 */

#ifndef __SESSMGR_H
#define __SESSMGR_H

#define DEFAULT_SESSION_TIMEOUT 15

extern char* crypt(const char* key, const char* setting);
char* get_admin_hash(const char* username);
char* get_cookie_time(time_t t);
void* safe_malloc(size_t size);
char* safe_strcat(int num_strs, ...);
char* safe_strdup(const char* str);

#endif
